#
# spec file for package frink
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           frink
Url:            http://catless.ncl.ac.uk/Programs/Frink
Version:        2.3.1.a2
Release:        1.27
Summary:        Static Testing and Formatting for Tcl Programs
License:        BSD-3-Clause
Group:          Development/Languages/Tcl
BuildRequires:  automake
Source0:        ftp://catless.ncl.ac.uk/pub/%name-%version.tar.gz
Patch0:         %name.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Frink is a Tcl formatting and static check program. It can prettify
your program, and minimize, obfuscate, or sanity check it. It can also
do some rewriting.

See /usr/share/doc/packages/frink/README and the output of "frink -h"
for details.

%prep
%setup -q -n %{name}-2.3.1
%patch0

%build
autoreconf -i --force
%configure
make

%install
make DESTDIR="%buildroot" install

%files
%defattr(-,root,root)
%_prefix/bin/frink
%doc AUTHORS ChangeLog COPYING README TODO

%changelog
* Tue Jan 13 2015 p.drouand@gmail.com
- Update to version 2.3.1.a2
  + -O option should now work
  + Added -L option which controls switch case body indenting
  - which causes a proc paramter definition {a b} to become { a b }
  - which causes wrapped comments to start a new comment rather than
    use \
  - which cause comments not to wrap at all
- Cleanup spec file
- Adapt frink.patch to upstream changes > frink-2.3.1a2.patch
- Remove redundant %%clean section
- Package ChangeLog, COPYING and TODO into doc directory
- COPYRIGHT is not provided anymore
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 22 2005 max@suse.de
- Fixed compilation with gcc4.
* Mon Jul  5 2004 max@suse.de
- New version: 2.2.2p4
* Fri Feb  6 2004 max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Wed Nov 26 2003 max@suse.de
- New version: 2.2.2p3
* Fri Jun  7 2002 max@suse.de
- New package: frink-2.1.5
- A tool for static testing and formatting of Tcl programs.
